Package org.eclipse.birt.core.format

# Interface IFormatter

All Known Implementing Classes:
  `AutoFormatter`, `DateFormatter`, `IFormatter.DefaultFormatter`, `LocaleNeutralFormatter`, `NumberFormatter`, `StringFormatter`

public interface IFormatter

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`IFormatter.DefaultFormatter`

## Method Summary

Modifier and Type
Method
Description
`String`
`formatValue(Object value)`
format the value object into a string.

## Method Details

### formatValue

String formatValue(Object value) throws BirtException
format the value object into a string.

Parameters:
  `value` -
Returns:
Throws:
  `BirtException`